Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer

All Implemented Interfaces:
  java.io.Serializable, net.sf.jasperreports.engine.export.JRHyperlinkProducer

Direct Known Subclasses:
  ReportExecutionHyperlinkProducerFactory.HyperlinkProducer, ReportExecutionHyperlinkProducerFactory.HyperlinkProducer

Enclosing class:
  BaseReportExecutionHyperlinkProducerFactory

    public abstract class BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer

extends java.lang.Object
implements net.sf.jasperreports.engine.export.JRHyperlinkProducer, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer()`

Method Summary
`protected abstract void` | `appendAdditionalParameters(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink, java.lang.StringBuffer sb)`
`protected abstract void` | `appendHyperlinkStart(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink, java.lang.StringBuffer sb)`
`protected void` | `appendParameter(java.lang.StringBuffer sb, net.sf.jasperreports.engine.JRPrintHyperlinkParameter parameter)`
`protected void` | `appendParameter(java.lang.StringBuffer sb, java.lang.String name, java.lang.String value)`
`protected void` | `appendParameters(java.lang.StringBuffer sb, net.sf.jasperreports.engine.JRPrintHyperlinkParameters parameters)`
`protected java.lang.String` | `encode(java.lang.String text)`
`java.lang.String` | `getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)`
`protected java.lang.Class` | `loadClass(java.lang.String valueClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer

    public BaseReportExecutionHyperlinkProducerFactory.BaseHyperlinkProducer()

Method Detail

### getHyperlink

    public java.lang.String getHyperlink(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink)

  Specified by:
    `getHyperlink` in interface `net.sf.jasperreports.engine.export.JRHyperlinkProducer`

### appendParameters

    protected void appendParameters(java.lang.StringBuffer sb,
                                    net.sf.jasperreports.engine.JRPrintHyperlinkParameters parameters)

### encode

    protected java.lang.String encode(java.lang.String text)

### appendParameter

    protected void appendParameter(java.lang.StringBuffer sb,
                                   net.sf.jasperreports.engine.JRPrintHyperlinkParameter parameter)

### loadClass

    protected java.lang.Class loadClass(java.lang.String valueClassName)

### appendParameter

    protected final void appendParameter(java.lang.StringBuffer sb,
                                         java.lang.String name,
                                         java.lang.String value)

### appendHyperlinkStart

    protected abstract void appendHyperlinkStart(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink,
                                                 java.lang.StringBuffer sb)

### appendAdditionalParameters

    protected abstract void appendAdditionalParameters(net.sf.jasperreports.engine.JRPrintHyperlink hyperlink,
                                                       java.lang.StringBuffer sb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.